## llhttp 9.3.3~really9.3.0+~cs12.11.8

=== examples/http/Makefile ===
CC ?= clang

all: http

http: main.c http_parser.bc
	$(CC) -g3 -flto -Os -fvisibility=hidden -Wall -I. http_parser.c main.c -o $@

http_parser.bc: index.ts
	npx ts-node $<

.PHONY = all
