=== debian/control ===
Source: llhttp
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper-compat (= 13)
 , dh-nodejs
 , binaryen
 , clang (>= 1:16)
 , cmake
 , libclang-rt-dev-wasm32
 , lld (>= 1:16)
 , node-debug
 , node-markdown-it
 , node-semver
 , node-typescript
 , ts-node
 , wasi-libc
Standards-Version: 4.7.0
Homepage: https://llhttp.org/
Vcs-Git: https://salsa.debian.org/js-team/llhttp.git
Vcs-Browser: https://salsa.debian.org/js-team/llhttp
Rules-Requires-Root: no

Package: libllhttp-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
 , libllhttp9.2 (= ${binary:Version})
Breaks: libllhttp-dev (<< 7.3.0+dfsg2~)
Replaces: libllhttp-dev (<< 7.3.0+dfsg2~)
Description: HTTP messages parser library (devel)
 llhttp generates a C HTTP messages parser from typescript
 definitions, making it easier to maintain.
 .
 This package contains the static library and C headers.

Package: libllhttp9.2
Section: libs
Architecture: any
Depends: ${misc:Depends}
 , ${shlibs:Depends}
Breaks: libllhttp9.1 (<< 6), libllhttp9.2 (<< 7.3.0+dfsg2~)
Replaces: libllhttp9.1, libllhttp9.2 (<< 7.3.0+dfsg2~)
Description: HTTP messages parser library
 llhttp generates a C HTTP messages parser from typescript
 definitions, making it easier to maintain.

Package: node-llhttp
Architecture: all
Depends: ${misc:Depends}
 , node-debug
 , node-semver
Breaks: node-llhttp (<< 7.3.0+dfsg2~)
Replaces: node-llhttp (<< 7.3.0+dfsg2~)
Multi-Arch: foreign
Description: HTTP messages parser library - Node.js module
 llhttp generates a C HTTP messages parser from typescript
 definitions, making it easier to maintain.
 .
 This package contains the Node.js module and wasm library.
