## llhttp 9.3.0+~cs12.11.8

=== debian/changelog ===
llhttp (9.3.0+~cs12.11.8-3) unstable; urgency=medium

  * Binary upload to break the loop:
    nodejs > node-undici > node-llhttp > nodejs

 -- Jérémy Lal <kapouer@melix.org>  Mon, 01 Sep 2025 02:31:26 +0200

llhttp (9.3.0+~cs12.11.8-2) unstable; urgency=medium

  * Upload to unstable 

 -- Jérémy Lal <kapouer@melix.org>  Fri, 29 Aug 2025 16:19:24 +0200

llhttp (9.3.0+~cs12.11.8-1) experimental; urgency=medium

  * New upstream version 9.3.0+~cs12.11.8
  * Add patches to fix CMakeLists installed by libllhttp-source
  * Builds libllhttp-source and node-llhttp including wasm blobs
  * Tighten B-D w.r.t. nocheck profile
  * Use dh-sequence-nodejs

 -- Jérémy Lal <kapouer@melix.org>  Fri, 29 Aug 2025 16:19:03 +0200
