=== debian/control ===
Source: llhttp
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , dh-nodejs
 , binaryen
 , clang
 , libclang-rt-dev-wasm32
 , lld (>= 1:16)
 , node-debug
 , node-markdown-it (>= 22.2.3+dfsg+~12.2.3-2~) <!nocheck>
 , node-semver
 , node-typescript
 , ts-node
 , wasi-libc
Standards-Version: 4.7.2
Homepage: https://llhttp.org/
Vcs-Git: https://salsa.debian.org/js-team/llhttp.git
Vcs-Browser: https://salsa.debian.org/js-team/llhttp
Rules-Requires-Root: no

Package: libllhttp-source
Section: libs
Architecture: all
Depends: ${misc:Depends}
Description: HTTP messages parser library - source
 llhttp generates a C HTTP messages parser from typescript
 definitions, making it easier to maintain.
 .
 This package contains the generated sources.

Package: node-llhttp
Architecture: all
Depends: ${misc:Depends}
 , node-debug
 , node-semver
Multi-Arch: foreign
Description: HTTP messages parser library - Node.js module
 llhttp generates a C HTTP messages parser from typescript
 definitions, making it easier to maintain.
 .
 This package contains the Node.js module that exposes
 constants and exports the WebAssembly blobs.
