=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk
sonameVersion = $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d '+' -f 1 | cut -d '.' -f -3)

%:
	dh $@

execute_after_dh_auto_build:
	RELEASE=$(sonameVersion) make release
	WASM_OPT=/usr/bin/wasm-opt WASM_CC=/usr/bin/clang WASM_CFLAGS="--sysroot=/usr -target wasm32-unknown-wasi" node debian/wasm.js
