=== debian/watch ===
--- 
+++ 
@@ -6,9 +6,10 @@
 
 opts=\
 component=llparse,\
+ctype=nodejs,\
 dversionmangle=auto,\
-filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/node-llparse-$1/ \
- https://github.com/nodejs/llparse/tags .*?@ANY_VERSION@@ARCHIVE_EXT@ checksum
+filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-llparse-$1/ \
+ https://github.com/nodejs/llparse/tags .*/archive.*/v?([\d\.]+).tar.gz checksum
 
 opts=\
 component=llparse-frontend,\
