## llhttp 9.3.3~really9.3.0%2B~cs12.11.8

=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: s/9.3.3~really(\d+\.\d+\.\d+)/$1/
Uversionmangle: s/(\d+\.\d+\.\d+)/9.3.3~really$1/
Owner: nodejs
Project: llhttp
Version-Schema: group

Component: llparse
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: nodejs
Project: llparse
Version-Schema: checksum

Component: llparse-frontend
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: nodejs
Project: llparse-frontend
Version-Schema: checksum

Component: llparse-builder
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: nodejs
Project: llparse-builder
Version-Schema: checksum

Component: binary-search
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: darkskyapp
Project: binary-search
Version-Schema: checksum
