## llhttp 9.3.3~really9.3.0+~cs12.11.8

=== debian/changelog ===
llhttp (9.3.3~really9.3.0+~cs12.11.8-3) unstable; urgency=medium

  * Breaks node-undici << 7.15.0+dfsg+~cs3.2.0-1

 -- Jérémy Lal <kapouer@melix.org>  Wed, 03 Sep 2025 18:42:46 +0200

llhttp (9.3.3~really9.3.0+~cs12.11.8-2) unstable; urgency=medium

  * Install node components

 -- Jérémy Lal <kapouer@melix.org>  Wed, 03 Sep 2025 18:42:22 +0200

llhttp (9.3.3~really9.3.0+~cs12.11.8-1) unstable; urgency=medium

  * Artificially bump version to be higher than the 9.3.2
    version of the native source package libllhttp.
  * Update watch version to 5
  * Use Build-Depends-Indep and targets to build all packages
    without the need for libllhttp source package.
  * Add README.source about bootstrap.
  * M-A foreign for libllhttp-source.
  * Tighten dependency on libllhttp-source 9.3.x.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 02 Sep 2025 15:15:46 +0200
