=== debian/control ===
--- 
+++ 
@@ -4,7 +4,13 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Build-Depends: debhelper-compat (= 13)
- , dh-sequence-nodejs
+Build-Depends-Arch:
+ , dh-cmake-compat (=1)
+ , dh-cmake
+ , cmake
+ , libllhttp-source (>= 9.3~),
+ , libllhttp-source (<< 9.4~)
+Build-Depends-Indep:
  , dh-nodejs
  , binaryen
  , clang
@@ -20,11 +26,11 @@
 Homepage: https://llhttp.org/
 Vcs-Git: https://salsa.debian.org/js-team/llhttp.git
 Vcs-Browser: https://salsa.debian.org/js-team/llhttp
-Rules-Requires-Root: no
 
 Package: libllhttp-source
 Section: libs
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: HTTP messages parser library - source
  llhttp generates a C HTTP messages parser from typescript
@@ -37,6 +43,8 @@
 Depends: ${misc:Depends}
  , node-debug
  , node-semver
+Provides: ${nodejs:Provides}
+Breaks: node-undici (<< 7.15.0+dfsg+~cs3.2.0-1)
 Multi-Arch: foreign
 Description: HTTP messages parser library - Node.js module
  llhttp generates a C HTTP messages parser from typescript
@@ -44,3 +52,27 @@
  .
  This package contains the Node.js module that exposes
  constants and exports the WebAssembly blobs.
+
+Package: libllhttp-dev
+Section: libdevel
+Architecture: any
+Depends: ${misc:Depends}
+ , libllhttp9.3 (= ${binary:Version})
+Description: HTTP messages parser library dev files
+ A C HTTP messages parser generated from typescript
+ definitions, making it easier to maintain.
+ .
+ This package contains the development files.
+
+Package: libllhttp9.3
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}
+ , ${shlibs:Depends}
+Breaks: libllhttp9.1 (<< 6)
+Replaces: libllhttp9.1
+Description: HTTP messages parser library
+ A C HTTP messages parser generated from typescript
+ definitions, making it easier to maintain.
+ .
+ This package contains the shared library.
